/* CSS untuk Dashboard dengan Sidebar */
#wrapper {
    display: flex;
    width: 100%;
}

#sidebar-wrapper {
    width: 250px;
}

#page-content-wrapper {
    width: 100%;
    padding: 20px;
}

#menu-toggle {
    margin-right: 10px;
}
body, html {
    height: 100%;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: black;
}

.company-title {
    font-size: 1.5em;
    color: rgb(255, 255, 255);
    position: absolute;
    top: 25px; /* Mengatur jarak dari nama perusahaan */
    left: 60px;
}

.full-screen-photo {
    width: 100vw;
    height: 100vh;
    /* object-fit: cover; */
    object-fit: contain; /* Resize to fit within the screen without cropping */
    position: absolute;
    z-index: -1;
    transition: opacity 1s ease-in-out;
    opacity: 0;
    background-color: black; /* To fill any extra space around the image */
}
.active {
    opacity: 1;
}

.company-logo {
    position: absolute;
    top: 5px;
    left: 5px;
    width: 50px;
    height: 50px;
    object-fit: contain;
}
.company-name {
    font-size: 20em;
    font-weight: bold;
    position: absolute;
    top: 5%;
    left: 60px;
}

.current-date-time {
    color: white;
    position: absolute;
    top: 0;
    right: 10px;
    font-size: 20em;
}
.link-photo{
    font-size: 1.5em;
    color: rgb(255, 255, 255);
    position: absolute;
    top: 30px; /* Mengatur jarak dari nama perusahaan */
    right: 10px;
}

.overdraft-text {
    color: rgb(247, 243, 4);
    background: rgba(137, 133, 250, 0.502);
    padding: 10px;
    position: absolute;
    top: 5px;
    height: 10%;
    width: 100%;
    font-size: 1;
}

.styled-text {
    color: red; /* Warna teks utama */
    text-shadow: 
        -1px -1px 0 white, 
        1px -1px 0 white, 
        -1px 1px 0 white, 
        1px 1px 0 white; /* Bayangan untuk membuat efek border putih */
    font-size: 3em; /* Ukuran teks */
    font-weight: bold; /* Tebal teks */
}

.overlay-text {
    color: white;
    background: rgba(0, 0, 0, 0.4);
    padding: 5px;
    text-align: left;
    position: absolute;
    bottom: 5;
    width: 100%;
    border: 2;
    font-size: 15;
}

/* Container for marquee */

.marquee-area {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background: rgba(40, 2, 253, 0.8); /* Latar belakang gelap semi-transparan */
    color: white;
    font-size: 24px; /* Ukuran font teks */
    overflow: hidden;
    white-space: nowrap;
    z-index: 1000; /* Memastikan elemen ini berada di atas elemen lain */
    padding: 10px 0; /* Padding vertikal */
}

.marquee-area span {
    display: inline-block;
    animation: marquee 30s linear infinite; /* Animasi teks berjalan */
}

/* Animasi untuk teks berjalan */
@keyframes marquee {
    from {
        transform: translateX(100%);
    }
    to {
        transform: translateX(-100%);
    }
}




.content-sections {
    display: flex;
    justify-content: space-between;
    margin-bottom: 50px;
}

.section-left, .section-center, .section-right {
    padding: 10px;
    border: 2px solid white; /* Menambahkan garis putih di tepi setiap section */
    box-sizing: border-box; /* Memastikan padding tidak menambah ukuran keseluruhan elemen */

}

.section-left {
    width: 30%;
}

.section-center {
    width: 60%;
}

.section-right {
    width: 30%;
}

.section-left h4, .section-center h4, .section-right h4 {
    margin: 0;
    font-size: 50;
    color: white;
}

.section-left p, .section-center p, .section-right p {
    margin: 5px 0;
    color: white;
}
